[nSLUG] Upgrade Testing - Now no X Windows

Stephen Gregory nslug at kernelpanic.ca
Sat Mar 11 14:15:58 AST 2006


On Sat, Mar 11, 2006 at 12:54:46PM -0400, Dop Ganger wrote:
> On Sat, 11 Mar 2006, Robert Ashley wrote:
> >
> ># apt-get install --reinstall xserver-xfree86
> >...
> >xfree86-common: Depends x11common but it is not going to be installed
> 
> apt is telling you something is squiffy here. Run "apt-get -f install" 
> like it tells you and see if it works, you might have to do the "apt-get 
> install --reinstall xserver-xfree86" again once you're done.


IIRC Bob is running Debian/testing which uses xserver-xorg. However
the new xserver-xfree86 package depends only on xserver-xorg to ease
upgrades.

Bob your apt database may be corrupt. Rerun apt-get update. Then run
the following command to see which version of xserver-xfree86 you are
trying to install

       $ apt-cache policy xserver-xfree86

You may want to cross your fingers and attempt a full upgrade of you
system with;

    # apt-get dist-upgrade

You are trying to upgrade from sarge to etch so lots of stuff may
break. Welcome to Debian/testing. Stuff breaks here.


-- 
sg

!DSPAM:4413150d105131331513667!




More information about the nSLUG mailing list